> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Organisation's Devices

> Get the list of all devices for the specified organization ID.
By default returns ALL devices with ALL fields.

Optional parameters:
- device_type: Filter by specific device type (hp_atw, hp_wtw, inv, ev, wb)
- fields: Comma-separated list of specific fields (e.g., "id,owner.email,device_model.manufacturer")
- page: Enable pagination by providing page number (1-based)
- page_size: Items per page when pagination is enabled (default: 100)

Field examples:
- fields=id,owner.email,device_model.manufacturer
- fields=id,connection_status,monitoring_status,battery_level

Available only for "admin" users.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/devices
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/devices:
    get:
      tags:
        - Devices
      summary: Get an Organisation's Devices
      description: >-
        Get the list of all devices for the specified organization ID.

        By default returns ALL devices with ALL fields.


        Optional parameters:

        - device_type: Filter by specific device type (hp_atw, hp_wtw, inv, ev,
        wb)

        - fields: Comma-separated list of specific fields (e.g.,
        "id,owner.email,device_model.manufacturer")

        - page: Enable pagination by providing page number (1-based)

        - page_size: Items per page when pagination is enabled (default: 100)


        Field examples:

        - fields=id,owner.email,device_model.manufacturer

        - fields=id,connection_status,monitoring_status,battery_level


        Available only for "admin" users.
      operationId: >-
        integrations_api_api_v2_organizations_devices_router_retrieve_all_devices
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: query
          name: device_type
          schema:
            description: Filter by device type (hp_atw, hp_wtw, inv, ev, wb)
            title: Device Type
            type: string
          required: false
          description: Filter by device type (hp_atw, hp_wtw, inv, ev, wb)
        - in: query
          name: fields
          schema:
            description: Comma-separated list of specific fields to include
            title: Fields
            type: string
          required: false
          description: Comma-separated list of specific fields to include
        - in: query
          name: page
          schema:
            description: Page number (1-based) - enables pagination
            minimum: 1
            title: Page
            type: integer
          required: false
          description: Page number (1-based) - enables pagination
        - in: query
          name: page_size
          schema:
            default: 100
            description: Number of devices per page when pagination is enabled
            maximum: 1000
            minimum: 1
            title: Page Size
            type: integer
          required: false
          description: Number of devices per page when pagination is enabled
        - in: query
          name: include_deleted
          schema:
            default: false
            description: If true, includes soft-deleted
            title: Include Deleted
            type: boolean
          required: false
          description: If true, includes soft-deleted
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items: {}
                title: Response
                type: array
      security:
        - OAuth2: []
components:
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````